/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include "project.h"

char8 UART_ch;

CY_ISR_PROTO(UART_RX_ISR);

CY_ISR(UART_RX_ISR)
{
    UART_ClearRxInterruptSource(UART_INTR_RX_NOT_EMPTY ); //clear interrupt
        
    // check UART Rx Buffer size 
    if(0 != UART_GET_RX_FIFO_ENTRIES)   
    {
     // Read data from UART Rx FIFO
     UART_ch = (char8) UART_RX_FIFO_RD_REG;
     UART_UartPutChar(UART_ch);
    }   
}


int main(void)
{
    CyGlobalIntEnable; /* Enable global interrupts. */

    UART_Start();
    uart_rx_isr_StartEx(UART_RX_ISR);
    UART_UartPutString("\r\n uart start");
    for(;;)
    {
        /* Place your application code here. */
    }
}

/* [] END OF FILE */
